﻿/* WeTheme Product Carousel-v2 */

.wetheme-amazing-carousel-v2 {
	position: relative;
	background: #f7f7f8;
	border-radius: 16px;
	padding: 20px;
}

.wetheme-amazing-carousel-v2 .wpc-swiper {
	padding: 8px 2px 2px 2px;
}

.wetheme-amazing-carousel-v2 .wpc-swiper .swiper-wrapper {
    display: flex;
    align-items: center;
}
.wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide {
    flex: 0 0 auto;
}

.wetheme-amazing-carousel-v2 .swiper-slide { 
	width: auto;
}

.wetheme-amazing-carousel-v2 .swiper-slide[style*="width"] {
	flex-shrink: 0 !important;
}

.wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide {
	width: 310px;
}

.wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide {
	display: flex;
	flex-direction: column;
    align-items: center;
}

.wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide .wpc-banner {
    padding: 0px 20px;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}

.wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide .wpc-banner img {
	height: 100%;
	object-fit: contain;
	display: block;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown {
	padding: 0 20px 16px 20px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 10px;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .countdown-timer {
	display: flex;
	gap: 10px;
	justify-content: center;
	flex-wrap: wrap;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 9px 8px 5px 8px;
	border-radius: 8px;
	min-width: 47px;
	text-align: center;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box.days {
	background: #f44336;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box.hours,
.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box.minutes,
.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box.seconds {
	background: #ff9800;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box .number {
	font-size: 19px;
	font-weight: 600;
	line-height: 1;
	margin-bottom: 0;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box .label {
	font-size: 12px;
	font-weight: 500;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .timer-separator {
	width: 26px;
	height: 0.7px;
	background: #e4e4e482;
	margin: 3px 0;
}

.wetheme-amazing-carousel-v2 .wpc-banner-countdown .wao-expired-message {
	font-size: 18px;
	font-weight: 700;
	color: #999999;
	text-align: center;
}

.wetheme-amazing-carousel-v2 .wpc-card {
	position: relative;
	background: #fff;
	border-radius: 16px;
	padding: 18px 20px;
	display: flex;
	flex-direction: column;
	transition: transform .2s ease, box-shadow .2s ease;
	height: 390px;
	justify-content: space-between;
	width: 100%;
}

.wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide .wpc-card {
	border-radius: 0;
}

.wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:first-child .wpc-card {
	border-radius: 16px;
}

.wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide.wpc-banner-slide + .swiper-slide .wpc-card {
	border-radius: 0px 15px 15px 0px;
}

.wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:last-child .wpc-card {
	border-radius: 15px 0 0 15px;
}

.wetheme-amazing-carousel-v2 .wpc-card:hover {
	transform: translateY(-2px);
}

.wetheme-amazing-carousel-v2 .wpc-view-all-card {
	text-decoration: none;
	align-items: center;
	justify-content: center;
	gap: 10px;
}

.wetheme-amazing-carousel-v2 .wpc-view-all-card .wpc-view-all-icon {
	width: 44px;
	height: 44px;
	border-radius: 50%;
	border: 2px solid #ff5a2c;
	display: flex;
	align-items: center;
	justify-content: center;
	color: #ff5a2c;
}

.wetheme-amazing-carousel-v2 .wpc-view-all-card .wpc-view-all-icon svg {
	display: block;
}

.wetheme-amazing-carousel-v2 .wpc-view-all-card .wpc-view-all-text {
	font-size: 13px;
	font-weight: 600;
	color: #111;
}

.wetheme-amazing-carousel-v2 .wpc-badge {
	position: absolute;
	top: 15px;
	left: 15px;
	background: #111;
	color: #fff;
	border-radius: 8px;
	padding: 2px 8px;
	font-size: 12px;
	font-weight: 700;
	z-index: 2;
}

.wetheme-amazing-carousel-v2 .wpc-thumb {
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	height: 200px;
	overflow: hidden;
	background-color: #ffffff; 
	flex-shrink: 0;
}

.wetheme-amazing-carousel-v2 .wpc-thumb img {
	max-width: 80% !important;
	max-height: 85% !important;
	width: auto !important;
	height: auto !important;
	border-radius: 8px;
	object-fit: contain;
}

.wetheme-amazing-carousel-v2 .wpc-title {
	font-size: 16px;
	line-height: 1.5;
	margin: 0 0 0 0;
	position: relative;
	padding-bottom: 8px;
	height: 55px;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	-webkit-box-orient: vertical;
	flex-shrink: 0;
}

.wetheme-amazing-carousel-v2 .wpc-title-separator {
	height: 1px;
	background: linear-gradient(to right, transparent, #e0e0e0, transparent);
	margin: 15px 0 0px 0;
}

.wetheme-amazing-carousel-v2 .wpc-title a {
	text-decoration: none;
	color: inherit;
}

.wetheme-amazing-carousel-v2 .wpc-price {
	margin-bottom: 5px;
	margin-top: auto; 
}

.wetheme-amazing-carousel-v2 .wpc-card .wpc-price .wpc-current-price .woocommerce-Price-currencySymbol {
    font-size: 14px !important;
    font-weight: 400 !important;
}

body .elementor .elementor-widget-wetheme_amazing_carousel_v2 .wetheme-amazing-carousel-v2 .wpc-card .wpc-price {
	display: flex !important;
	flex-direction: column !important;
	align-items: flex-end !important;
	gap: 0px !important;
	margin-top: auto;
}

.elementor-widget-wetheme_amazing_carousel_v2 .wetheme-amazing-carousel-v2 .wpc-card{
	box-shadow: none !important;
}

.elementor-widget-wetheme_amazing_carousel_v2 .wetheme-amazing-carousel-v2 .wpc-card:hover {
	box-shadow: none !important;
}

.wetheme-amazing-carousel-v2 .swiper-pagination,
.wetheme-amazing-carousel-v2 .swiper-pagination-bullets,
.wetheme-amazing-carousel-v2 .swiper-pagination-bullet,
.wetheme-amazing-carousel-v2 .swiper-pagination-bullet-active {
    display: none !important;
}

@media (max-width: 1024px) and (min-width: 769px) {
    .wetheme-amazing-carousel-v2 {
        border-radius: 14px;
        padding: 18px;
    }

    .wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide {
        width: 230px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-card {
        height: 330px;
        padding: 14px;
        border-radius: 14px;
        max-width: 300px;
        min-width: 220px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide .wpc-card {
        border-radius: 0;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:first-child .wpc-card {
        border-radius: 0px 13px 13px 0px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide.wpc-banner-slide + .swiper-slide .wpc-card {
        border-radius: 0px 14px 14px 0px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:last-child .wpc-card {
        border-radius: 13px 0px 0px 13px;
    }

    .wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide .wpc-banner {
        padding: 0px 15px;
    }  

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown {
        padding: 0 10px 10px 10px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box {
        padding: 7px 6px 5px 6px;
        min-width: 43px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-badge {
        top: 12px;
        left: 12px;
        font-size: 11px;
        padding: 2px 7px;
        border-radius: 6px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-thumb {
        height: 175px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-title {
        font-size: 15px;
        height: 52px;
        padding-bottom: 7px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-title-separator {
        margin: 9px 0 0px 0;
    }
}

@media (max-width: 768px) {
    .wetheme-amazing-carousel-v2 {
        border-radius: 12px;
        padding: 15px;
    }

    .wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide {
        width: 260px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-card {
        height: 330px;
        padding: 12px;
        border-radius: 12px;
        max-width: 280px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box {
        padding: 7px 6px 5px 6px;
        min-width: 42px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box .number {
        font-size: 17px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown {
       padding: 0 8px 10px 8px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide .wpc-card {
        border-radius: 0;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:first-child .wpc-card {
        border-radius: 0px 11px 11px 0px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide.wpc-banner-slide + .swiper-slide .wpc-card {
        border-radius: 0px 11px 11px 0px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:last-child .wpc-card {
        border-radius: 11px 0px 0px 11px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-badge {
        top: 10px;
        left: 10px;
        font-size: 10px;
        padding: 2px 6px;
        border-radius: 5px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-card .wpc-price .wpc-current-price .woocommerce-Price-currencySymbol {
        font-size: 11px !important;
        font-weight: 400 !important;
    }

    .wetheme-amazing-carousel-v2 .wpc-thumb {
        height: 180px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-thumb img {
        max-width: 75% !important;
        max-height: 85% !important;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-title {
        font-size: 14px;
        height: 48px;
        padding-bottom: 6px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-title-separator {
        margin: 8px 0 0px 0;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-price {
        margin-bottom: 4px;
    }
}

@media (max-width: 480px) {
    .wetheme-amazing-carousel-v2 {
        border-radius: 10px;
        padding: 12px;
    }

    .wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide {
        width: 150px;
        gap: 15px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-card {
        height: 290px;
        padding: 10px 12px;
        border-radius: 15px;
        min-width: 100%;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide .wpc-card {
        border-radius: 0;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:first-child .wpc-card {
        border-radius: 0px 9px 9px 0px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide.wpc-banner-slide + .swiper-slide .wpc-card {
        border-radius: 0px 9px 9px 0px;
    }

    .wetheme-amazing-carousel-v2 .wpc-swiper .swiper-slide:last-child .wpc-card {
        border-radius: 9px 0px 0px 9px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box .number {
        font-size: 13px;
        font-weight: 600;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 5px 4px 2px 4px;
        border-radius: 8px;
        min-width: 29px;
        text-align: center;
    }

    .wetheme-amazing-carousel-v2 .swiper-slide.wpc-banner-slide .wpc-banner {
        padding: 0px 10px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown {
        padding: 0 6px 13px 6px;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .timer-separator {
       width: 19px;
       height: 0.6px;
       margin: 3px 0;
    }

    .wetheme-amazing-carousel-v2 .wpc-banner-countdown .time-box .label {
        font-size: 9px;
        font-weight: 500;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-badge {
        top: 12px;
        left: 12px;
        font-size: 9px;
        padding: 1px 5px;
        border-radius: 4px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-thumb {
        height: 155px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-thumb img {
        max-width: 70% !important;
        max-height: 80% !important;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-title {
        font-size: 13px;
        line-height: 1.4;
        height: 44px;
        padding-bottom: 5px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-title-separator {
        margin: 6px 0 0px 0;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-price {
        margin-bottom: 3px;
    }
    
    .wetheme-amazing-carousel-v2 .wpc-card .wpc-price .wpc-current-price .woocommerce-Price-currencySymbol {
        font-size: 12px !important;
    }
    
    .wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock {
        font-size: 10px !important;
        gap: 4px;
        margin-top: 1px;
    }
    
    .wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock .ico svg {
        width: 12px;
        height: 12px;
    }
    
    .wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock .txt {
        font-size: 10px !important;
    }
}

.wetheme-amazing-carousel-v2 .wpc-price.wpc-out-of-stock-message > .txt {
	font-weight: 600;
	color: #111;
}
.wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock {
	display: inline-flex;
	align-items: center;
	gap: 6px;
	font-size: 12px !important;
	font-weight: 500;
	color: #f11919;
	margin-top: 2px;
}
.wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock .ico {
	display: inline-flex;
}
.wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock .ico svg {
	display: block;
}
.wetheme-amazing-carousel-v2 .we-stock-inline.is-outofstock .txt {
	font-size: 12px !important;
}

.wetheme-amazing-carousel-v2 .we-price-inline {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    justify-content: space-between;
}

.wetheme-amazing-carousel-v2 .wpc-price .price.wpc-custom-price {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.wetheme-amazing-carousel-v2 .wpc-price .price.wpc-custom-price .we-price-inline {
    flex-direction: column;
    align-items: flex-end;
}

.wetheme-amazing-carousel-v2 .wpc-price .price.wpc-custom-price .we-price-inline .onsale {
    order: 1;
}

.wetheme-amazing-carousel-v2 .wpc-price .price.wpc-custom-price .we-price-inline .wpc-current-price {
    order: 2;
}

.wetheme-amazing-carousel-v2 .wpc-price .we-price-inline {
    order: 1;
}

.wetheme-amazing-carousel-v2 .wpc-price .we-price-del-wrapper {
    order: 2;
}

.wetheme-amazing-carousel-v2 .wpc-price .we-price-del-wrapper {
    display: flex;
    align-items: center;
    gap: 6px;
    width: 100%;
    justify-content: flex-end;
}

.wetheme-amazing-carousel-v2 .wpc-price .we-price-inline {
    gap: 6px;
}

.wetheme-amazing-carousel-v2 .wpc-price .onsale {
    display: inline-block;
    background: var(--wetheme-onsale-badge-color);
    color: #fff;
    padding: 2px 10px;
    border-radius: 10px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1.2;
    vertical-align: middle;
}



